Bug 247639 - kernel >= 2.6.20-1.2952 errors when (re)starting smartd
kernel >= 2.6.20-1.2952 errors when (re)starting smartd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
high Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-07-10 12:24 EDT by Vince Schiavoni
Modified: 2009-01-08 23:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:48:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample of /var/log/messages (6.42 KB, text/plain)
2007-07-10 12:24 EDT, Vince Schiavoni
no flags Details

  None (edit)
Description Vince Schiavoni 2007-07-10 12:24:04 EDT
Description of problem:
For kernel >= 2.6.20-1.2952, when (re)starting smartd, errors logged 
to /var/log/messages (or dmesg or STDOUT) similar to:
...
Jul 10 01:29:47 presario.localdomain kernel: ata1.00: exception Emask 0x0 SAct 
0x0 SErr 0x0 action 0x2 frozen
Jul 10 01:29:47 presario.localdomain kernel: ata1.00: cmd 
b0/db:f8:00:4f:c2/00:00:00:00:00/00 tag 0 cdb 0x0 data 126976 in
Jul 10 01:29:47 presario.localdomain kernel: res 
50/00:f8:00:4f:c2/00:00:00:00:00/00 Emask 0x202 (HSM violation)
Jul 10 01:29:47 presario.localdomain kernel: ata1: soft resetting port
...
Jul 10 01:29:51 presario kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 
0x0 action 0x2 frozen
Jul 10 01:29:51 presario kernel: ata2.00: cmd 
b0/db:f8:00:4f:c2/00:00:00:00:00/00 tag 0 cdb 0x0 data 126976 in
Jul 10 01:29:51 presario kernel:          res 
50/00:f8:00:4f:c2/00:00:00:00:00/00 Emask 0x202 (HSM violation)
Jul 10 01:29:51 presario.localdomain kernel: ata2: soft resetting port
...

A more complete log excerpt is attached.

Version-Release number of selected component (if applicable):
kernel >= 2.6.20-1.2952.

NOTE: It seems that there are several related bugs; see Bug references below.

How reproducible:
Always.

Steps to Reproduce:
1.(re)start smartd;
2.observe error messages to /var/log/messages OR dmesg OR STDOUT.
3.
  
Actual results:
Errors logged as above.

Expected results:
Normal error-free (re)start of smartd as with kernels < 2.6.20-1.2952.  The 
errors started to appear on June 2, which was first system reboot after 
install of (my currently-running) kernel 2.6.20-1.2952 on June 1.  No such 
errors logged/observed prior to June 2/kernel 2.6.20-1.2952.

Additional info:
uname -a: Linux presario.localdomain 2.6.20-1.2952.fc6 #1 SMP Wed May 16 
18:59:18 EDT 2007 i686 athlon i386 GNU/Linux

Smolt # 02d04cb7-5a0e-4b31-8f1f-7be6f2d85507

HDD #1: (sda, ata1.00), SATA, smartctl -i -d ata /dev/sda:
=== START OF INFORMATION SECTION ===
Model Family:     Hitachi Deskstar T7K250 series
Device Model:     HDT722516DLA380
Firmware Version: V43OA99A
User Capacity:    160,041,885,696 bytes
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   7
ATA Standard is:  ATA/ATAPI-7 T13 1532D revision 1
Local Time is:    Mon Jul  2 12:12:17 2007 EDT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

HDD #2 (sdb, ata2.00), PATA with PATA=>SATA adapter, smartctl -i -d 
ata /dev/sdb:
=== START OF INFORMATION SECTION ===
Model Family:     Seagate Barracuda 7200.8 family
Device Model:     ST3250623A
Firmware Version: 3.04
User Capacity:    250,059,350,016 bytes
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   7
ATA Standard is:  Exact ATA specification draft version not indicated
Local Time is:    Mon Jul  2 12:12:35 2007 EDT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

Reference: http://www.fedoraforum.org/forum/showthread.php?t=159779
Reference: http://forum.fedoraforum.org/forum/showthread.php?t=159983
Reference: Bugs #245911, 245512, 245426, 245294, 243429, 243238, 243166, 
243043, 242902, 234456, 232811, 226963, 224553.
Comment 1 Vince Schiavoni 2007-07-10 12:24:04 EDT
Created attachment 158867 [details]
sample of /var/log/messages
Comment 2 Jon Stanley 2008-01-07 20:54:38 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Vince Schiavoni 2008-01-07 22:56:23 EST
In response to Comment #2:

Yes, this bug still exists in F7.  I've upgraded to F7/kernel-2.6.23.12-52.fc7.
As a sample, here's today's /var/log/messages, in it's entirety:

Jan  7 00:22:01 presario xsane: unable to open /var/run/hpiod.port: No such file
or directory: api/hplip_api.c 93 
Jan  7 00:22:01 presario xsane: unable to connect hpiod socket 2208: Connection
refused: api/hplip_api.c 721 
Jan  7 00:22:02 presario kernel: ppdev0: no associated port!
Jan  7 01:50:29 presario auditd[2022]: Audit daemon rotating log files
Jan  7 05:38:34 presario kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0
action 0x2 frozen
Jan  7 05:38:37 presario kernel: ata2.00: cmd
25/00:08:af:02:90/00:00:18:00:00/e0 tag 0 cdb 0x0 data 4096 in
Jan  7 05:38:39 presario kernel:          res
40/00:00:00:4f:c2/00:00:00:00:00/00 Emask 0x4 (timeout)
Jan  7 05:38:39 presario kernel: sd 1:0:0:0: [sdb] 488397168 512-byte hardware
sectors (250059 MB)
Jan  7 05:38:39 presario kernel: sd 1:0:0:0: [sdb] Write Protect is off
Jan  7 05:38:39 presario kernel: sd 1:0:0:0: [sdb] Write cache: enabled, read
cache: enabled, doesn't support DPO or FUA
Jan  7 20:59:44 presario auditd[2022]: Audit daemon rotating log files
Jan  7 21:17:12 presario kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0
action 0x2 frozen
Jan  7 21:17:12 presario kernel: ata2.00: cmd
25/00:40:6f:d5:10/00:00:16:00:00/e0 tag 0 cdb 0x0 data 32768 in
Jan  7 21:17:12 presario kernel:          res
40/00:00:00:4f:c2/00:00:00:00:00/00 Emask 0x4 (timeout)
Jan  7 21:17:12 presario kernel: sd 1:0:0:0: [sdb] 488397168 512-byte hardware
sectors (250059 MB)
Jan  7 21:17:12 presario kernel: sd 1:0:0:0: [sdb] Write Protect is off
Jan  7 21:17:12 presario kernel: sd 1:0:0:0: [sdb] Write cache: enabled, read
cache: enabled, doesn't support DPO or FUA
[END]

Please keep this bug active and continue to investigate. If you need any more
info or if I need to change a field on this bug report, please let me know.

Thanx and Regards,
VJSchiavoni

uname -a: Linux presario.localdomain 2.6.23.12-52.fc7 #1 SMP Tue Dec 18 21:18:02
EST 2007 i686 athlon i386 GNU/Linux,
smartmontools-5.37-3.3.fc7
Comment 4 Jon Stanley 2008-01-07 23:10:31 EST
Changing version to 7.  It appears that the bug has changed between F6 and F7
though - it seems as though smartmon is timing out reading the status from the
drive perhaps.  
Comment 5 Vince Schiavoni 2008-03-17 10:41:14 EDT
Update:
"Errors" still present on (2) machines running F7, kernel-2.6.23.15-80.fc7.i386,
smartmontools-5.37-3.3.fc7, Smolts:
http://smolt.fedoraproject.org/show?UUID=pub_b4a1d9f5-e2fd-4428-86a4-e1839f36e6da,
http://smolt.fedoraproject.org/show?UUID=pub_4caba599-039f-4ac7-ae9a-d03c56e839b3;

No such errors noted on (1) machine just upgraded to F8,
kernel-2.6.24.3-12.fc8.i386, smartmontools-5.37-7.3.fc8 (but I'm still skeptical
and keeping an eye on it...), Smolt:
http://smolt.fedoraproject.org/show?UUID=pub_136d9c2b-6c5c-4414-9069-040715716a4c.

Thanx and Regards,
VJS
Comment 6 Vince Schiavoni 2008-03-27 01:04:27 EDT
Sigh. Scratch that - "Errors" still reported on F8, with slightly different 
output:

kernel-2.6.24.3-34.fc8.i386
smartmontools-5.38-1.fc8

/etc/smartd.conf:
/dev/sda -a -d ata -o on -m root -n standby

Smolt: http://smolt.fedoraproject.org/show?uuid=pub_56e973e9-
de33-4f08-8d0b-2fa9844b57dc

/var/log/messages:
[...]
Mar 27 00:33:34 etower smartd[2149]: Signal HUP - rereading configuration file /
etc/smartd.conf
Mar 27 00:33:34 etower smartd[2149]: Opened configuration file /etc/smartd.conf
Mar 27 00:33:34 etower smartd[2149]: Configuration file /etc/smartd.conf parsed.
Mar 27 00:33:34 etower smartd[2149]: Device: /dev/sda, opened
Mar 27 00:33:34 etower smartd[2149]: Device /dev/sda: ATA disk detected behind 
SAT layer
Mar 27 00:33:34 etower smartd[2149]:   Try adding '-d sat' to the device line 
in the smartd.conf file.
Mar 27 00:33:34 etower smartd[2149]:   For example: '/dev/sda -a -d sat'
Mar 27 00:33:34 etower smartd[2149]: Unable to register SCSI device /dev/sda at 
line 31 of file /etc/smartd.conf
Mar 27 00:33:34 etower smartd[2149]: Device /dev/sda not available
Mar 27 00:33:34 etower smartd[2149]: Monitoring 0 ATA and 0 SCSI devices
Mar 27 00:46:07 etower smartd[2149]: Signal HUP - rereading configuration file /
etc/smartd.conf
Mar 27 00:46:07 etower smartd[2149]: Opened configuration file /etc/smartd.conf
Mar 27 00:46:07 etower smartd[2149]: Configuration file /etc/smartd.conf parsed.
Mar 27 00:46:07 etower smartd[2149]: Device: /dev/sda, opened
Mar 27 00:46:07 etower smartd[2149]: Device: /dev/sda, found in smartd database.
Mar 27 00:46:08 etower kernel: ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 
action 0x2 frozen
Mar 27 00:46:08 etower kernel: ata1.00: cmd b0/db:f8:00:4f:c2/00:00:00:00:00/00 
tag 0 pio 126976 in
Mar 27 00:46:08 etower kernel:          res 50/00:f8:00:4f:c2/00:00:00:00:00/00 
Emask 0x202 (HSM violation)
Mar 27 00:46:08 etower kernel: ata1.00: status: { DRDY }
Mar 27 00:46:08 etower kernel: ata1: soft resetting link
Mar 27 00:46:08 etower kernel: ata1.00: configured for UDMA/33
Mar 27 00:46:08 etower kernel: ata1: EH complete
Mar 27 00:46:08 etower kernel: ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 
action 0x2 frozen
Mar 27 00:46:08 etower kernel: ata1.00: cmd b0/db:f8:00:4f:c2/00:00:00:00:00/00 
tag 0 pio 126976 in
Mar 27 00:46:08 etower kernel:          res 50/00:f8:00:4f:c2/00:00:00:00:00/00 
Emask 0x202 (HSM violation)
Mar 27 00:46:08 etower kernel: ata1.00: status: { DRDY }
Mar 27 00:46:08 etower kernel: ata1: soft resetting link
Mar 27 00:46:09 etower kernel: ata1.00: configured for UDMA/33
Mar 27 00:46:09 etower kernel: ata1: EH complete
Mar 27 00:46:09 etower kernel: ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 
action 0x2 frozen
Mar 27 00:46:09 etower kernel: ata1.00: cmd b0/db:f8:00:4f:c2/00:00:00:00:00/00 
tag 0 pio 126976 in
Mar 27 00:46:09 etower kernel:          res 50/00:f8:00:4f:c2/00:00:00:00:00/00 
Emask 0x202 (HSM violation)
Mar 27 00:46:09 etower kernel: ata1.00: status: { DRDY }
Mar 27 00:46:09 etower kernel: ata1: soft resetting link
Mar 27 00:46:09 etower kernel: ata1.00: configured for UDMA/33
Mar 27 00:46:09 etower kernel: ata1: EH complete
Mar 27 00:46:09 etower kernel: ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 
action 0x2 frozen
Mar 27 00:46:09 etower kernel: ata1.00: cmd b0/db:f8:00:4f:c2/00:00:00:00:00/00 
tag 0 pio 126976 in
Mar 27 00:46:09 etower kernel:          res 50/00:f8:00:4f:c2/00:00:00:00:00/00 
Emask 0x202 (HSM violation)
Mar 27 00:46:09 etower kernel: ata1.00: status: { DRDY }
Mar 27 00:46:09 etower kernel: ata1: soft resetting link
Mar 27 00:46:10 etower kernel: ata1.00: configured for UDMA/33
Mar 27 00:46:10 etower kernel: ata1: EH complete
Mar 27 00:46:10 etower kernel: ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 
action 0x2 frozen
Mar 27 00:46:10 etower kernel: ata1.00: cmd b0/db:f8:00:4f:c2/00:00:00:00:00/00 
tag 0 pio 126976 in
Mar 27 00:46:11 etower kernel:          res 50/00:f8:00:4f:c2/00:00:00:00:00/00 
Emask 0x202 (HSM violation)
Mar 27 00:46:11 etower kernel: ata1.00: status: { DRDY }
Mar 27 00:46:11 etower kernel: ata1: soft resetting link
Mar 27 00:46:11 etower kernel: ata1.00: configured for UDMA/33
Mar 27 00:46:11 etower kernel: ata1: EH complete
Mar 27 00:46:11 etower kernel: ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 
action 0x2 frozen
Mar 27 00:46:11 etower kernel: ata1.00: cmd b0/db:f8:00:4f:c2/00:00:00:00:00/00 
tag 0 pio 126976 in
Mar 27 00:46:11 etower kernel:          res 50/00:f8:00:4f:c2/00:00:00:00:00/00 
Emask 0x202 (HSM violation)
Mar 27 00:46:11 etower kernel: ata1.00: status: { DRDY }
Mar 27 00:46:11 etower kernel: ata1: soft resetting link
Mar 27 00:46:11 etower kernel: ata1.00: configured for UDMA/33
Mar 27 00:46:11 etower kernel: ata1: EH complete
Mar 27 00:46:11 etower kernel: sd 0:0:0:0: [sda] 16514064 512-byte hardware 
sectors (8455 MB)
Mar 27 00:46:11 etower kernel: sd 0:0:0:0: [sda] Write Protect is off
Mar 27 00:46:11 etower kernel: sd 0:0:0:0: [sda] Write cache: enabled, read 
cache: enabled, doesn't support DPO or FUA
Mar 27 00:46:11 etower kernel: sd 0:0:0:0: [sda] 16514064 512-byte hardware 
sectors (8455 MB)
Mar 27 00:46:11 etower kernel: sd 0:0:0:0: [sda] Write Protect is off
Mar 27 00:46:11 etower kernel: sd 0:0:0:0: [sda] Write cache: enabled, read 
cache: enabled, doesn't support DPO or FUA
Mar 27 00:46:10 etower smartd[2149]: Device: /dev/sda, enable SMART Automatic 
Offline Testing failed.
Mar 27 00:46:11 etower smartd[2149]: Device: /dev/sda, is SMART capable. Adding 
to "monitor" list.
Mar 27 00:46:11 etower smartd[2149]: Monitoring 1 ATA and 0 SCSI devices
[...]

Regards,
VJSchiavoni
Comment 7 Bug Zapper 2008-05-14 09:29:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-11-26 02:34:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-08 23:48:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.